cURL
curl --request GET \
--url https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id} \
--header 'Authorization: <api-key>'import requests
url = "https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"offer_amount": 123,
"offer_id": 123,
"buyer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_request_id": 123,
"created_at": "now()",
"offer_expires": "<string>",
"buyer_pays_buyer_broker_commission": true,
"buyer_pays_listing_broker_commission": true,
"buyer_broker_commission_pct": 123,
"buyer_broker_commission_amt": 123,
"listing_broker_commission_pct": 123,
"listing_broker_commission_amt": 123,
"net_proceeds_to_seller": 123,
"net_cost_to_buyer": 123,
"offer_memo": "<string>",
"offer_status": "true",
"additional_terms": {},
"earnest_money": 123,
"em_hard_post_inspection": true,
"lease_back": true,
"lease_back_period": 123,
"flexible_closing": true,
"post_possession": true,
"waive_warranty": true,
"inspection_period": 123,
"post_possession_period": 123,
"offer_is_counter_offer": true,
"offer_type": "<string>",
"offer_decided_at": "<string>",
"offer_internal_memo": "<string>",
"test": true
}
]{
"error": 123,
"message": "<string>"
}Counter Offers
Retrieve a Counter Offer
Get details of a specific offer.
GET
/
counter-offers
/
{counter_offer_id}
cURL
curl --request GET \
--url https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id} \
--header 'Authorization: <api-key>'import requests
url = "https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://v2.easystreetoffers.com/api/v2/counter-offers/{counter_offer_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"offer_amount": 123,
"offer_id": 123,
"buyer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_request_id": 123,
"created_at": "now()",
"offer_expires": "<string>",
"buyer_pays_buyer_broker_commission": true,
"buyer_pays_listing_broker_commission": true,
"buyer_broker_commission_pct": 123,
"buyer_broker_commission_amt": 123,
"listing_broker_commission_pct": 123,
"listing_broker_commission_amt": 123,
"net_proceeds_to_seller": 123,
"net_cost_to_buyer": 123,
"offer_memo": "<string>",
"offer_status": "true",
"additional_terms": {},
"earnest_money": 123,
"em_hard_post_inspection": true,
"lease_back": true,
"lease_back_period": 123,
"flexible_closing": true,
"post_possession": true,
"waive_warranty": true,
"inspection_period": 123,
"post_possession_period": 123,
"offer_is_counter_offer": true,
"offer_type": "<string>",
"offer_decided_at": "<string>",
"offer_internal_memo": "<string>",
"test": true
}
]{
"error": 123,
"message": "<string>"
}Authorizations
Query Parameters
The maximum number of results to return
Response
Offers response
timestamp with time zone
timestamp with time zone
If true, buyer pays the buyer broker commission equal to 3% of the offer amount. If false, seller will pay the buyer broker commission equal to 3% of the offer amount.
If true, buyer pays the listing broker commission set by the agent. If false, seller will pay listing agent commission.
Example:
"true"
The category of offer. Options include: 'quality_cash', 'auto_cash', 'cash', 'mls', 'ibuyer', 'custom', 'instant', and 'instant_premier'.
timestamp with time zone
set to true s